// *************************************************************************************************
//	Copyright (C) 2014 Texas Instruments Incorporated - http://www.ti.com/
//	All rights reserved.
//
//	Redistribution and use in source and binary forms, with or without
//	modification, are permitted provided that the following conditions
//	are met:
//
//		* Redistributions of source code must retain the above copyright
//		notice, this list of conditions and the following disclaimer.
//
//		* Redistributions in binary form must reproduce the above copyright
//		notice, this list of conditions and the following disclaimer in the
//		documentation and/or other materials provided with the distribution.
//
//		* Neither the name of Texas Instruments Incorporated nor the names of
//		its contributors may be used to endorse or promote products derived
//		from this software without specific prior written permission.
//
//	THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS"
//	AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO,
//	THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR
//	PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT OWNER OR
//	CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL,
//	EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
//	PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
//	OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
//	WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
//	OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE,
//	EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
//
// *************************************************************************************************


//------------------------------------------------------------------------------
//  Description:  CC430.c function declarations
//
//
//
//  C. Kuch
//  Texas Instruments, Inc.
//  April 2012
//  CCS 5.1
//------------------------------------------------------------------------------


#include "cc430x613x.h"
#include "cc430x613x_PMA.h"
#include "RF1A.h"

#ifdef TI_CC_RF_FREQ_434MHz                         // 434 MHz

void writeRFSettings(void)
{
	// Write register settings
	// WriteSingleReg(IOCFG2,   0x29); // GDO2 output pin config.
	// ISM_EU configuration 1

	// Deviation = 31.738281
	// Base frequency = 433.92
	// Carrier frequency = 433.92
	// Channel number = 0
	// Carrier frequency = 433.92
	// Modulated = true
	// Modulation format = GFSK
	// Manchester enable = false
	// Sync word qualifier mode = 30/32 sync word bits detected
	// Preamble count = 4
	// Channel spacing = 199.951172
	// Carrier frequency = 433.92
	// Data rate = 76.767
	// RX filter BW = 232.142857
	// Data format = Normal mode
	// CRC enable = true
	// Whitening = false
	// Device address = 0
	// Address config = No address check
	// CRC autoflush = false
	// PA ramping = false
	// TX power = 0

	  // Modulated
		WriteSingleReg(FSCTRL1,    0x08);
		WriteSingleReg(FSCTRL0,    0x00);
		WriteSingleReg(FREQ2,      0x10);
		WriteSingleReg(FREQ1,      0xB0);
		WriteSingleReg(FREQ0,      0x3B);
		WriteSingleReg(MDMCFG4,    0x7B);
		WriteSingleReg(MDMCFG3,    0x83);
		WriteSingleReg(MDMCFG2,    0x13);
		WriteSingleReg(MDMCFG1,    0x22);
		WriteSingleReg(MDMCFG0,    0xF8);
		WriteSingleReg(CHANNR,     0x00);
		WriteSingleReg(DEVIATN,    0x42);
		WriteSingleReg(FREND1,     0xB6);
		WriteSingleReg(FREND0,     0x10);
		WriteSingleReg(MCSM0,      0x18);
		WriteSingleReg(FOCCFG,     0x1D);
		WriteSingleReg(BSCFG,      0x1C);
		WriteSingleReg(AGCCTRL2,   0xC7);
		WriteSingleReg(AGCCTRL1,   0x00);
		WriteSingleReg(AGCCTRL0,   0xB2);
		WriteSingleReg(FSCAL3,     0xEA);
		WriteSingleReg(FSCAL2,     0x2A);
		WriteSingleReg(FSCAL1,     0x00);
		WriteSingleReg(FSCAL0,     0x1F);
		WriteSingleReg(FSTEST,     0x59);
		WriteSingleReg(TEST2,      0x81);
		WriteSingleReg(TEST1,      0x35);
		WriteSingleReg(TEST0,      0x09);
		WriteSingleReg(FIFOTHR,    0x47);
		WriteSingleReg(IOCFG2,	   0x29);
		WriteSingleReg(IOCFG0,     0x06);
		WriteSingleReg(PKTCTRL1,   0x04);
		WriteSingleReg(PKTCTRL0,   0x05);
		WriteSingleReg(ADDR,       0x00);
		WriteSingleReg(PKTLEN,     0xFF);
}

#endif

#ifdef TI_CC_RF_FREQ_868MHz                          // 868 MHz

void writeRFSettings(void)
{
    // Write register settings
	// ISM_EU configuration 1

	// Deviation = 5.15kHz
	// Base frequency = 868.3
	// Carrier frequency = 868.3
	// Channel number = 0
	// Carrier frequency = 868.3
	// Modulated = true
	// Modulation format = 2-GFSK
	// Manchester enable = false
	// Sync word qualifier mode = 30/32 sync word bits detected
	// Preamble count = 4
	// Channel spacing = 199.951172
	// Carrier frequency = 868.3
	// Data rate = 1.2kBaud
	// RX filter BW = 58.035kHz
	// Data format = Normal mode
	// CRC enable = true
	// Whitening = false
	// Device address = 0
	// Address config = No address check
	// CRC autoflush = false
	// PA ramping = false
	// TX power = 0

	WriteSingleReg(FSCTRL1,    0x08);
	WriteSingleReg(FSCTRL0,    0x00);
	WriteSingleReg(FREQ2,      0x21);
	WriteSingleReg(FREQ1,      0x65);
	WriteSingleReg(FREQ0,      0x6A);
	WriteSingleReg(MDMCFG4,    0xF5);
	WriteSingleReg(MDMCFG3,    0x83);
	WriteSingleReg(MDMCFG2,    0x13);
	WriteSingleReg(MDMCFG1,    0x22);
	WriteSingleReg(MDMCFG0,    0xF8);
	WriteSingleReg(CHANNR,     0x00);
	WriteSingleReg(DEVIATN,    0x15);
	WriteSingleReg(FREND1,     0xB6);
	WriteSingleReg(FREND0,     0x10);
	WriteSingleReg(MCSM0,      0x18);
	WriteSingleReg(FOCCFG,     0x1D);
	WriteSingleReg(BSCFG,      0x1C);
	WriteSingleReg(AGCCTRL2,   0xC7);
	WriteSingleReg(AGCCTRL1,   0x00);
	WriteSingleReg(AGCCTRL0,   0xB2);
	WriteSingleReg(FSCAL3,     0xEA);
	WriteSingleReg(FSCAL2,     0x2A);
	WriteSingleReg(FSCAL1,     0x00);
	WriteSingleReg(FSCAL0,     0x1F);
	WriteSingleReg(FSTEST,     0x59);
	WriteSingleReg(TEST2,      0x81);
	WriteSingleReg(TEST1,      0x35);
	WriteSingleReg(TEST0,      0x09);
	WriteSingleReg(FIFOTHR,    0x47);
    WriteSingleReg(IOCFG2,   	0x29);
	WriteSingleReg(IOCFG0,     0x06);
	WriteSingleReg(PKTCTRL1,   0x04);
	WriteSingleReg(PKTCTRL0,   0x05);
	WriteSingleReg(ADDR,       0x00);
	WriteSingleReg(PKTLEN,     0xFF);
}


#endif


#ifdef TI_CC_RF_FREQ_915MHz                          // 915 MHz

void writeRFSettings(void)
{
	// Deviation = 5.15kHz
	// Base frequency = 915
	// Carrier frequency = 915
	// Channel number = 0
	// Carrier frequency = 915
	// Modulated = true
	// Modulation format = 2-GFSK
	// Manchester enable = false
	// Sync word qualifier mode = 30/32 sync word bits detected
	// Preamble count = 4
	// Channel spacing = 199.951172
	// Carrier frequency = 915
	// Data rate = 1.2kBaud
	// RX filter BW = 58.035kHz
	// Data format = Normal mode
	// CRC enable = true
	// Whitening = false
	// Device address = 0
	// Address config = No address check
	// CRC autoflush = false
	// PA ramping = false
	// TX power = 0

	WriteSingleReg(FSCTRL1,    0x08);
	WriteSingleReg(FSCTRL0,    0x00);
	WriteSingleReg(FREQ2,      0x23);
	WriteSingleReg(FREQ1,      0x31);
	WriteSingleReg(FREQ0,      0x3B);
	WriteSingleReg(MDMCFG4,    0xF5);
	WriteSingleReg(MDMCFG3,    0x83);
	WriteSingleReg(MDMCFG2,    0x13);
	WriteSingleReg(MDMCFG1,    0x22);
	WriteSingleReg(MDMCFG0,    0xF8);
	WriteSingleReg(CHANNR,     0x00);
	WriteSingleReg(DEVIATN,    0x15);
	WriteSingleReg(FREND1,     0xB6);
	WriteSingleReg(FREND0,     0x10);
	WriteSingleReg(MCSM0,      0x18);
	WriteSingleReg(FOCCFG,     0x1D);
	WriteSingleReg(BSCFG,      0x1C);
	WriteSingleReg(AGCCTRL2,   0xC7);
	WriteSingleReg(AGCCTRL1,   0x00);
	WriteSingleReg(AGCCTRL0,   0xB2);
	WriteSingleReg(FSCAL3,     0xEA);
	WriteSingleReg(FSCAL2,     0x2A);
	WriteSingleReg(FSCAL1,     0x00);
	WriteSingleReg(FSCAL0,     0x1F);
	WriteSingleReg(FSTEST,     0x59);
	WriteSingleReg(TEST2,      0x81);
	WriteSingleReg(TEST1,      0x35);
	WriteSingleReg(TEST0,      0x09);
	WriteSingleReg(FIFOTHR,    0x47);
    WriteSingleReg(IOCFG2,   	0x29);
	WriteSingleReg(IOCFG0,     0x06);
	WriteSingleReg(PKTCTRL1,   0x04);
	WriteSingleReg(PKTCTRL0,   0x05);
	WriteSingleReg(ADDR,       0x00);
	WriteSingleReg(PKTLEN,     0xFF);
}


#endif



